import {getCars} from './getCars';
import {fruitBowl} from './fruitBowl';

import {generateReport} from './generateReport';

import {select,range} from 'd3'



const svg=select('svg');
svg.style('background-color','white');
let selectedFruit = null;

const onClick = id => {
    selectedFruit=id;
    //document.getElementById("message2").textContent=id; 
    render();
};


const render =()=>{
     document.getElementById("message2").textContent=selectedFruit; 
     fruitBowl(svg,{
               fruits,
               height:+(svg.attr('height')),
               onClick,
               selectedFruit
               }); 
}


const makeFruit = type => ({
  type,
	id:Math.random()//jedinecne id kazdeho kusku ovocia
});
let fruits=range(5)
 .map(() => makeFruit('apple'));


render();

//eat apple
setTimeout(()=>{
fruits.pop();//remove last element form fruits
render();
},1000); 

//replace apple
setTimeout(()=>{
fruits[2].type='lemmon';//remove last element form fruits
render();
},2000); 

//eat second apple
setTimeout(()=>{
fruits=fruits.filter((d,i)=> i!=1);//1=druhy prvok odfiltruje
render();
},3000); 
 













 		getCars().then(cars => {
  const message2 = generateReport(cars,3000);
document.getElementById("message2").textContent=message2; 
});




